Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaRightsManagement

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaRightsManagement

public class XMPSchemaRightsManagement
extends XMPSchema

Define XMP properties that are related to rights management.

Version:
  $Revision: 1.6 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaRightsManagement(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaRightsManagement(XMPMetadata parent)` Construct a new blank PDF schema.

Method Summary
`void` | `addOwner(java.lang.String owner)` Add an owner to the list.
`java.lang.String` | `getCertificateURL()` Get the URL of the rights managment certificate.
`java.lang.String` | `getCopyright()` Get the copyright information.
`java.lang.Boolean` | `getMarked()` Get the flag that indicates if this is a marked resource..
`java.util.List` | `getOwners()` Get the complete list of legal owners.
`java.lang.String` | `getUsageTerms()` Get the default usage terms for the document.
`java.lang.String` | `getUsageTerms(java.lang.String language)` Get the usage terms in a specific language.
`java.util.List` | `getUsageTermsLanguages()` Get a list of all languages that a usage term exists for.
`java.lang.String` | `getWebStatement()` Get the URL that describes the terms of this resource.
`void` | `removeOwner(java.lang.String owner)` Remove an owner from the list.
`void` | `setCertificateURL(java.lang.String certificate)` The online rights management certificate.
`void` | `setCopyright(java.lang.String copyright)` Set the copyright information.
`void` | `setDescription(java.lang.String language, java.lang.String terms)` Set the usage terms of this resource in a specific language.
`void` | `setMarked(java.lang.Boolean marked)` Flag indicating if this is a rights managed resource.
`void` | `setUsageTerms(java.lang.String terms)` Set the default usage terms for this resource.
`void` | `setWebStatement(java.lang.String webStatement)` Set the external link that describes the owners/rights of this resource.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaRightsManagement

    public XMPSchemaRightsManagement(XMPMetadata parent)

  Construct a new blank PDF schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaRightsManagement

    public XMPSchemaRightsManagement(org.w3c.dom.Element element,
                                     java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### setCertificateURL

    public void setCertificateURL(java.lang.String certificate)

  The online rights management certificate.

  Parameters:
    `certificate` - The URL to the rights cert.

### getCertificateURL

    public java.lang.String getCertificateURL()

  Get the URL of the rights managment certificate.

  Returns:
    The rights management certificate URL.

### setMarked

    public void setMarked(java.lang.Boolean marked)

  Flag indicating if this is a rights managed resource.

  Parameters:
    `marked` - The marked value.

### getMarked

    public java.lang.Boolean getMarked()

  Get the flag that indicates if this is a marked resource..

  Returns:
    The value of the marked flag.

### removeOwner

    public void removeOwner(java.lang.String owner)

  Remove an owner from the list.

  Parameters:
    `owner` - The owner to remove.

### addOwner

    public void addOwner(java.lang.String owner)

  Add an owner to the list.

  Parameters:
    `owner` - A new legal owner to this resource.

### getOwners

    public java.util.List getOwners()

  Get the complete list of legal owners.

  Returns:
    The list of owners.

### setUsageTerms

    public void setUsageTerms(java.lang.String terms)

  Set the default usage terms for this resource.

  Parameters:
    `terms` - The resource usage terms.

### getUsageTerms

    public java.lang.String getUsageTerms()

  Get the default usage terms for the document.

  Returns:
    The terms for this resource.

### setDescription

    public void setDescription(java.lang.String language,
                               java.lang.String terms)

  Set the usage terms of this resource in a specific language.

  Parameters:
    `language` - The language code.
    `terms` - The terms of this resource.

### getUsageTerms

    public java.lang.String getUsageTerms(java.lang.String language)

  Get the usage terms in a specific language.

  Parameters:
    `language` - The language code to get the description for.
  Returns:
    The usage terms in the specified language or null if it does not exist.

### getUsageTermsLanguages

    public java.util.List getUsageTermsLanguages()

  Get a list of all languages that a usage term exists for.

  Returns:
    A non-null list of languages, potentially an empty list.

### setWebStatement

    public void setWebStatement(java.lang.String webStatement)

  Set the external link that describes the owners/rights of this resource.

  Parameters:
    `webStatement` - The URL to a terms site.

### getWebStatement

    public java.lang.String getWebStatement()

  Get the URL that describes the terms of this resource.

  Returns:
    The usage rights URL.

### setCopyright

    public void setCopyright(java.lang.String copyright)

  Set the copyright information.

  Parameters:
    `copyright` - The copyright information.

### getCopyright

    public java.lang.String getCopyright()

  Get the copyright information.

  Returns:
    The copyright information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD